POST /_system/blueprintvalidation

Create new blueprint validation rule

Create new blueprint validation rule
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
messageoptionalstring
"ok"
Validation message
parametersrequiredobject
{
  "order_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
  "retries": 0
}
Rule parameters
rule_typerequiredstring
"term"
Validation rule type
severityoptionalstring
"error"
Allowed: "error", "warning", "info"
{
  "_meta": {
    "created": 1782166695,
    "entity": 1,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "modified": 1782166695,
    "updated": 1782166695
  },
  "message": "ok",
  "parameters": {
    "order_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "retries": 0
  },
  "rule_type": "term",
  "severity": "error"
}
{
  "error": "ERROR_KEY"
}
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
blueprintvalidation_createRequired scope: blueprintvalidation_create

Back to Blueprint Validation Return to the Blueprint Validation category to view other endpoints All API Categories Browse all available API categories